Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList:

[legend]
Collaboration diagram for PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Object_Sequence_PortableServer_POAList (void)
| _TAO_Unbounded_Object_Sequence_PortableServer_POAList (CORBA::ULong maximum)
| _TAO_Unbounded_Object_Sequence_PortableServer_POAList (CORBA::ULong maximum, CORBA::ULong length, POA **value, CORBA::Boolean release=0)
| _TAO_Unbounded_Object_Sequence_PortableServer_POAList (const _TAO_Unbounded_Object_Sequence_PortableServer_POAList &rhs)
_TAO_Unbounded_Object_Sequence_PortableServer_POAList & | operator= (const _TAO_Unbounded_Object_Sequence_PortableServer_POAList &rhs)
virtual | ~_TAO_Unbounded_Object_Sequence_PortableServer_POAList (void)
TAO_Object_Manager< PortableServer::POA, PortableServer::POA_var > | operator[] (CORBA::ULong index) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
POA ** | get_buffer (CORBA::Boolean orphan=0)
const POA ** | get_buffer (void) const
virtual void | _shrink_buffer (CORBA::ULong nl, CORBA::ULong ol)
virtual void | _downcast (void *target, CORBA_Object *src ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA_Object * | _upcast (void *src) const
## Static Public Methods
POA ** | allocbuf (CORBA::ULong nelems)
void | freebuf (POA **buffer)

## Constructor & Destructor Documentation

ACE_INLINE PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_TAO_Unbounded_Object_Sequence_PortableServer_POAList | ( | void |  | ) |

ACE_INLINE PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_TAO_Unbounded_Object_Sequence_PortableServer_POAList | ( | CORBA::ULong | maximum | ) |

ACE_INLINE PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_TAO_Unbounded_Object_Sequence_PortableServer_POAList | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | PortableServer::POA ** | value,
|  | CORBA::Boolean | release = 0
| ) |

ACE_INLINE PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_TAO_Unbounded_Object_Sequence_PortableServer_POAList | ( | const _TAO_Unbounded_Object_Sequence_PortableServer_POAList & | rhs | ) |

PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::~_TAO_Unbounded_Object_Sequence_PortableServer_POAList | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_downcast | ( | void * | target,
|  | CORBA_Object *src | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_shrink_buffer | ( | CORBA::ULong | nl,
|  | CORBA::ULong | ol
| ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

CORBA_Object * PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::_upcast | ( | void * | src | ) | const`[virtual]`

| Reimplemented from TAO_Base_Sequence.

ACE_INLINE PortableServer::POA ** PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::allocbuf | ( | CORBA::ULong | nelems | ) | `[static]`

ACE_INLINE void PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::freebuf | ( | PortableServer::POA ** | buffer | ) | `[static]`

ACE_INLINE const PortableServer::POA ** PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::get_buffer | ( | void |  | ) | const

ACE_INLINE PortableServer::POA ** PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

ACE_INLINE PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList & PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::operator= | ( | const _TAO_Unbounded_Object_Sequence_PortableServer_POAList & | rhs | ) |

ACE_INLINE TAO_Object_Manager< PortableServer::POA, PortableServer::POA_var > PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList::operator[] | ( | CORBA::ULong | index | ) | const

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp
- PortableServerC.i